/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2008, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

#include "FLAME.h"

FLA_Error FLA_Form_Q( FLA_Obj Q, FLA_Obj t, FLA_Obj S  )
{
  int nb_alg;

  nb_alg = FLA_Obj_length( S );

  FLA_Form_Q_blk_var1( Q, t, S, nb_alg );

  return FLA_SUCCESS;
}

void FLA_F2C( fla_form_q_f ) 
     ( F_INT *Q, F_INT *T, F_INT *S, F_INT *IERROR )
{
  *IERROR = FLA_Form_Q( *( ( FLA_Obj * ) Q ), 
                        *( ( FLA_Obj * ) T ), 
                        *( ( FLA_Obj * ) S ) );
}


