/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2008, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

#ifndef PLA_H
#define PLA_H


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <math.h>

#include <stdarg.h>

//#include "mpi.h"

//#include "PLA_type_defs.h"
//#include "PLA_Template.h"
//#include "PLA_Obj.h"

#include "PLA_external.h"
#include "PLA_FLA.h"

#include "PLA_macro_defs.h"
#include "PLA_macro_ptr_defs.h"
#include "PLA_extern_defs.h"

#include "PLA_main_prototypes.h"
#include "PLA_util_prototypes.h"
#include "PLA_local_blas_prototypes.h"
#include "PLA_local_lapack_prototypes.h"


#endif
