/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2008, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

#ifndef PLA_FLA_H
#define PLA_FLA_H


#include "FLAME.h"


typedef FLA_Bool              PLA_Bool;
typedef FLA_Error             PLA_Error;

typedef FLA_Side              PLA_Side;
typedef FLA_Quadrant          PLA_Quadrant;
typedef FLA_Uplo              PLA_Uplo;
typedef FLA_Trans             PLA_Trans;
typedef FLA_Diag              PLA_Diag;
typedef FLA_Conj              PLA_Conj;


#define PLA_TL                FLA_TL
#define PLA_TR                FLA_TR
#define PLA_BL                FLA_BL
#define PLA_BR                FLA_BR

#define PLA_TOP               FLA_TOP
#define PLA_BOTTOM            FLA_BOTTOM
#define PLA_LEFT              FLA_LEFT
#define PLA_RIGHT             FLA_RIGHT

#define PLA_LOWER_TRIANGULAR  FLA_LOWER_TRIANGULAR
#define PLA_UPPER_TRIANGULAR  FLA_UPPER_TRIANGULAR

#define PLA_NO_TRANSPOSE      FLA_NO_TRANSPOSE
#define PLA_TRANSPOSE         FLA_TRANSPOSE
#define PLA_CONJ_TRANSPOSE    FLA_CONJ_TRANSPOSE
#define PLA_CONJ_NO_TRANSPOSE FLA_CONJ_NO_TRANSPOSE

#define PLA_CONJUGATE         FLA_CONJUGATE
#define PLA_NO_CONJUGATE      FLA_NO_CONJUGATE

#define PLA_UNIT_DIAG         FLA_UNIT_DIAG
#define PLA_NONUNIT_DIAG      FLA_NONUNIT_DIAG
#define PLA_ZERO_DIAG         FLA_ZERO_DIAG

#define PLA_SUCCESS           FLA_SUCCESS
#define PLA_FAILURE           FLA_FAILURE


#define PLA_setup_enter       FLA_Init
#define PLA_setup_exit        FLA_Finalize


/*----------------------------------------------------------------------------

   #define TRUE   1
   #define FALSE  0
   
   #undef  NULL
   #define NULL  0
   
   
   #undef  min
   #define min( x, y )  ( (x) < (y) ? (x) : (y) )
   
   #undef  max
   #define max( x, y )  ( (x) > (y) ? (x) : (y) )
   
   
   typedef struct scomplex
   {
      float real, imag;
   } scomplex;
   
   typedef struct dcomplex
   {
      double real, imag;
   } dcomplex;

----------------------------------------------------------------------------*/

#endif
