/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2008, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

#ifndef PLA_FLA_EXTERNAL_H
#define PLA_FLA_EXTERNAL_H


typedef struct FLA_Obj_view    PLA_Obj;
typedef struct FLA_Obj_struct  PLA_Base_obj;

typedef FLA_Datatype           PLA_Datatype;


#define PLA_FLOAT           FLA_FLOAT
#define PLA_DOUBLE          FLA_DOUBLE
#define PLA_COMPLEX         FLA_COMPLEX
#define PLA_DOUBLE_COMPLEX  FLA_DOUBLE_COMPLEX
#define PLA_INT             FLA_INT

#define PLA_CONSTANT        FLA_CONSTANT


int PLA_Type_size( PLA_Datatype );
int PLA_Obj_local_offm( PLA_Obj );
int PLA_Obj_local_offn( PLA_Obj );


#endif
