/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2008, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

#ifndef PLA_EXTERN_DEFS_H
#define PLA_EXTERN_DEFS_H


#define PLA_ENVIRON_NB_ALG  96
#define PLA_TEMP_WORLD_NB   32


extern PLA_Temp PLA_TEMP_WORLD;


extern PLA_Obj PLA_MINUS_ONE;
extern PLA_Obj PLA_ZERO;
extern PLA_Obj PLA_ONE;
extern PLA_Obj PLA_TWO;
extern PLA_Obj PLA_i;


extern float
   PLA_s_minus_one,
   PLA_s_zero,
   PLA_s_one;
extern double
   PLA_d_minus_one,
   PLA_d_zero,
   PLA_d_one;
extern scomplex
   PLA_c_minus_one,
   PLA_c_zero,
   PLA_c_one;
extern dcomplex
   PLA_z_minus_one,
   PLA_z_zero,
   PLA_z_one;
extern int
   PLA_i_minus_one,
   PLA_i_zero,
   PLA_i_one;


#endif
