/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2008, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

#ifndef PLA_MACRO_DEFS_H
#define PLA_MACRO_DEFS_H


#define PLA_INHERIT      -1000

#define PLA_ALL_ROWS     -2001
#define PLA_ALL_COLS     -2002

#define PLA_UNDEFINED    -3000


#define PLA_ROW_MAJOR    ( (PLA_Distr) 1001 )
#define PLA_COL_MAJOR    ( (PLA_Distr) 1002 )

#define PLA_MATRIX       ( (PLA_Objtype) 2001 )
#define PLA_MROWVECTOR   ( (PLA_Objtype) 2002 )
#define PLA_MCOLVECTOR   ( (PLA_Objtype) 2003 )
#define PLA_MSCALAR      ( (PLA_Objtype) 2004 )
#define PLA_PMROWVECTOR  ( (PLA_Objtype) 2005 )
#define PLA_PMCOLVECTOR  ( (PLA_Objtype) 2006 )

#define PLA_SUM          ( (PLA_Op) 3001 )
#define PLA_PROD         ( (PLA_Op) 3002 )
#define PLA_MAX          ( (PLA_Op) 3003 )
#define PLA_MIN          ( (PLA_Op) 3004 )


#endif
