#include "FLAME.h"

int FLA_LU_SA_LAP_unb2( FLA_Obj U, FLA_Obj D, FLA_Obj p, FLA_Obj L )
/* In this implementation, we are doing it the "quick-and-dirty" way:
   A matrix A is created into which / U \ 
                                    \ D / is copied,
   and then FLA_LU is used to factor it. */
{
  int m_U, n_U, m_D;
  FLA_Datatype datatype;
  FLA_Obj A, AT,
             AB;

  m_U = FLA_Obj_length( U );
  n_U = FLA_Obj_width ( U );
  m_D = FLA_Obj_length( D );

  datatype = FLA_Obj_datatype( U );

  FLA_Obj_create( datatype, m_U + m_D, n_U, &A );

  FLA_Part_2x1( A,   &AT,
		     &AB,  m_U, FLA_TOP );

  FLA_Copy( U, AT );
  FLA_Triangularize( FLA_UPPER_TRIANGULAR, FLA_NONUNIT_DIAG, AT );
  FLA_Copy( D, AB );
  
  FLA_LU_piv( A, p );

  FLA_Copy( AT, L );

  FLA_Triangularize( FLA_LOWER_TRIANGULAR, FLA_ZERO_DIAG, U );
  FLA_Triangularize( FLA_UPPER_TRIANGULAR, FLA_NONUNIT_DIAG, AT );
    
  FLA_Axpy( FLA_ONE, AT, U );
  FLA_Copy( AB, D );

  FLA_Obj_free( &A );

  FLA_Obj_show( " U = ", U, "%le ", " " ); 
  FLA_Obj_show( " D = ", D, "%le ", " " ); 
  FLA_Obj_show( " p = ", p, "%d ", " " ); 
  FLA_Obj_show( " L = ", L, "%le ", " " ); 

  return FLA_SUCCESS;
}
